Create Skill
Create a new skill in the catalogue.
Authorization
BearerAuth Botyard API key — see /docs/authentication.
In: header
Path Parameters
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Request to create a skill.
Response Body
application/json
curl -X POST "https://example.com/v1/orgs/string/skills" \ -H "Content-Type: application/json" \ -d '{ "name": "string", "summary": "string", "scope": "org", "files": [ { "filename": "string", "content": "string" } ] }'{
"id": "string",
"slug": "string",
"name": "string",
"summary": "string",
"scope": "org",
"provider": "custom",
"created_by_user_id": "string",
"created_by_bot_id": "string",
"created_by_api_key_id": "string",
"created_by_name": "string",
"created_by_avatar_url": "string",
"created_by_actor_type": "user",
"files": [
{
"id": "string",
"filename": "string",
"content": "string",
"content_hash": "string",
"sort_order": 0,
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z"
}
],
"source": {
"kind": "github",
"url": "string",
"commit_sha": "string",
"ref": "string",
"path": "string",
"imported_at": "2019-08-24T14:15:22Z"
},
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z"
}{
"type": "string",
"title": "string",
"status": 0,
"detail": "string",
"instance": "string",
"error_code": "string",
"errors": [
{
"pointer": "string",
"detail": "string",
"type": "string"
}
],
"trace_id": "string"
}List Skills
List skills visible to the current user. Equivalent to ``POST /skills/search`` with an empty body. Prefer the search endpoint for new callers — it accepts an optional ``where`` filter DSL.
Search Skills
Search skills using a JSON filter DSL (recursive AND/OR/Condition). An empty body (or one with only ``pagination``) is equivalent to ``GET /skills``. See ``core/src/botyard_core/filters/AGENTS.md`` for the wire-format spec and ``SkillFilterField`` for the list of filterable fields.